Google

iCloud will not support Windows XP

Written on:June 8, 2011
Comments are closed

So it turns out that Apple has decided to drop support for Windows XP with their iCloud application, despite supporting it in its predecessor MobileMe. The company’s press release states (via TUAW): “Using iCloud with a PC requires Windows Vista or Windows 7; Outlook 2010 or 2007 is recommended for…



Neowin.net

Sorry, the comment form is closed at this time.